Bug 1446613 - accessing RHEV provider fails with "NoMethodError: undefined method `>=' for nil:NilClass"
Summary: accessing RHEV provider fails with "NoMethodError: undefined method `>=' for ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Boriso
QA Contact: Ilanit Stein
URL:
Whiteboard: api:rest:provider
Depends On: 1446166
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-28 12:28 UTC by Satoe Imaishi
Modified: 2017-05-31 15:06 UTC (History)
8 users (show)

Fixed In Version: 5.8.0.13
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1446166
Environment:
Last Closed: 2017-05-31 15:06:14 UTC
Category: ---
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-28 12:36:06 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/0a5744dc1aa3e9e67bffe208b9c204460d1e1c44

commit 0a5744dc1aa3e9e67bffe208b9c204460d1e1c44
Author:     Marcel Hild <hild@b4mad.net>
AuthorDate: Tue Apr 11 16:43:23 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Apr 28 08:31:30 2017 -0400

    Merge pull request #3 from pkliczewski/master
    
    Renderer fails when calling validate_import_vm
    (cherry picked from commit ac2823005455374be8c511655a0d514b561fde8b)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1446613

 .../manageiq/providers/redhat/infra_manager/vm_import.rb   |  2 +-
 .../providers/redhat/infra_manager/vm_import_spec.rb       | 14 ++++++++++++++
 2 files changed, 15 insertions(+), 1 deletion(-)

Comment 3 Ilanit Stein 2017-05-04 06:00:19 UTC
Verified on CFME-5.8.0.13/RHV-4.1.1.8, RHV-4.0.7

This error that used to fail on provider crud automation test, no longer appear on recent runs.

Comment 5 errata-xmlrpc 2017-05-31 15:06:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.